import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Color;
import java.awt.Font;
import java.util.ArrayList;

/**
 * This class is just for the example of the DropdownLists.
 * You don't need to add this class to your scenario.
 * 
 * Here is just shown how the DropdownList constructors work and how you can use them.
 * 
 * @author Gevater_Tod4711
 * @version 10.11.2013
 */
public class DropdownListWorld extends World
{
    
    public DropdownListWorld() {
        super(800, 600, 1, false);
        getBackground().setColor(Color.blue);
        getBackground().fill();
        getBackground().setColor(Color.red);
        getBackground().setFont(new Font("", Font.BOLD, 25));
        getBackground().drawString("This is a demo for a dropdownlist you can use in any scenario.", 15, 35);
        getBackground().drawString("Just add the classes DropdownList, GreenfootActionEvent,", 15, 75);
        getBackground().drawString("GreenfootActionListener and the interface Element to your", 15, 115);
        getBackground().drawString("scenario and you can use it.", 15, 155);
        getBackground().drawString("Descriptions how to use it are added in the classes.", 15, 195);
        ArrayList<Element> arrayList = new ArrayList<Element>();
        arrayList.add(new DefaultElement("first element"));
        arrayList.add(new DefaultElement("second element"));
        arrayList.add(new DefaultElement("third element"));
        DropdownList list = new DropdownList(arrayList);
        DropdownList list2 = new DropdownList(new ArrayList<Element>(), new DefaultElement("empty list"), Color.white, Color.orange);
        DropdownList list3 = new DropdownList(arrayList, new DefaultElement("first shown element"), Color.green, Color.red);
        DropdownList list4 = new DropdownList(new ArrayList<Element>(), new DefaultElement("differend colored list"), Color.red, Color.yellow);
        DropdownList list5 = new DropdownList(arrayList, new DefaultElement("differend sized list"), 500, 30, Color.gray, Color.blue);
        DropdownList list6 = new DropdownList(new ArrayList<Element>(), 250, 50);
        addObject(list, 200, 320);
        addObject(list2, 200, 230);
        addObject(list3, 600, 230);
        addObject(list4, 600, 400);
        addObject(list5, 263, 490);
        addObject(list6, 650, 500);
        Greenfoot.setSpeed(50);
    }
}